Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
특정 유동성 풀의 OHLCV 캔들스틱 데이터 조회
cURL
curl --request GET \ --url https://api.chainstream.io/v2/token/{chain}/pool/{poolAddress}/candles \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/token/{chain}/pool/{poolAddress}/candles" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/token/{chain}/pool/{poolAddress}/candles', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/token/{chain}/pool/{poolAddress}/candles", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/token/{chain}/pool/{poolAddress}/candles" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/token/{chain}/pool/{poolAddress}/candles") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/token/{chain}/pool/{poolAddress}/candles") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
[ { "close": "51.2", "high": "51.8", "low": "50.1", "open": "50.5", "timestamp": 1709251200000, "volume": "1000000", "trades": 128, "volumeInTokenAmount": "42000.5" } ]
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
지원되는 네트워크에 나열된 체인 이름 Supported blockchain chains
sol
eth
bsc
풀 주소
캔들 데이터의 시간 해상도 Candle resolution
1s
15s
30s
1m
3m
5m
15m
30m
1h
2h
4h
6h
8h
12h
1d
3d
1w
1M
가격 유형: usd (기본값) 또는 네이티브 토큰 가격 Price type for candle data
usd
native
시작 타임스탬프 (Unix 초 단위 타임스탬프)
종료 타임스탬프 (Unix 초 단위 타임스탬프)
반환할 캔들 수
풀 캔들 조회
Close price
"51.2"
High price
"51.8"
Low price
"50.1"
Open price
"50.5"
Timestamp
1709251200000
Volume in USD or native currency (depending on priceType)
"1000000"
Number of trades (swaps) in this candle bar
128
Base token quantity (e.g. number of CAKE or SOL tokens traded)
"42000.5"
이 페이지가 도움이 되었나요?